libasound2_1.0.28-1_amd64.deb


Advertisement

Description

libasound2 - shared library for ALSA applications

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libasound2
Package version 1.0.28
Package release 1
Package architecture amd64
Package type deb
Installed size 1.16 KB
Download size 365.71 KB
Official Mirror ftp.br.debian.org
This package contains the ALSA library and its standard plugins, as well
as the required configuration files.
ALSA is the Advanced Linux Sound Architecture.

Alternatives

Package Version Architecture Repository
libasound2_1.0.28-1_i386.deb 1.0.28 i386 Debian Main
libasound2 - - -

Requires

Name Value
libasound2-data >= 1.0.28-1
libc6 >= 2.16
multiarch-support -

Download

Type URL
Binary Package libasound2_1.0.28-1_amd64.deb
Source Package alsa-lib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libasound2 deb package:
    # sudo apt-get install libasound2

Files

Path
/usr/lib/x86_64-linux-gnu/libasound.so.2
/usr/lib/x86_64-linux-gnu/libasound.so.2.0.0
/usr/lib/x86_64-linux-gnu/alsa-lib/smixer/smixer-ac97.so
/usr/lib/x86_64-linux-gnu/alsa-lib/smixer/smixer-hda.so
/usr/lib/x86_64-linux-gnu/alsa-lib/smixer/smixer-sbase.so
/usr/share/doc/libasound2/NEWS.Debian.gz
/usr/share/doc/libasound2/changelog.Debian.gz
/usr/share/doc/libasound2/changelog.gz
/usr/share/doc/libasound2/copyright
/usr/share/doc/libasound2/examples/asoundrc.txt.gz

Changelog

2014-07-05 - Jordi Mallach <jordi@debian.org>
alsa-lib (1.0.28-1) unstable; urgency=medium
[ Luke Yelavich ]
* New upstream release
* Dropped patches, applied upstream:
- tests_lm_ftbfs.patch
- Fix-access-of-freed-memory-in-namehints.patch
* Refreshed patches:
- 0001-Add-UCM-configuration-for-Nexus-4-Mako.patch
- 0002-Add-UCM-config-file-for-Galaxy-Nexus-maguro.patch
- 0003-Add-UCM-files-for-Nexus-7.patch
- 0004-Add-UCM-config-files-for-Nexus-10.patch
2014-05-14 - Jordi Mallach <jordi@debian.org>
alsa-lib (1.0.27.2-4) unstable; urgency=medium
* Merge all pending delta from Ubuntu:
- Add a compile/run autopkg test
- Add UCM profiles for Nexus 7 (2012), Nexus 10, Nexus 4 and Galaxy Nexus
- Add config file for the tegra alc5632 chip found in the AC100 netbook
- Add hints for non-standard devices that lack configuration files
* Rename the autopkg test to build-seq, to make lintian happy.
* Bump Standards-Version to 3.9.5.
2013-10-19 - Jordi Mallach <jordi@debian.org>
alsa-lib (1.0.27.2-3) unstable; urgency=low
* Add preinst scripts to -dbg and -dev packages to correctly
transition from symlinked doc directories to real directories
(closes: #716874).
2013-10-14 - Cyril Brulebois <kibi@debian.org>
alsa-lib (1.0.27.2-2) unstable; urgency=high
* Team upload.
* Apply patch by Samuel Thibault to fix speech synthesis in the
Debian Installer: without the /usr/share/alsa/pcm directory, one
only gets garbage, so ship that directory in the udeb. Thanks,
Samuel! (closes: #726258)
2013-07-09 - Jordi Mallach <jordi@debian.org>
alsa-lib (1.0.27.2-1) unstable; urgency=low
* New upstream release.
* Drop fix_return_value_of_snd_pcm_rewind.patch and fix_docs_typo.patch:
applied upstream.
2013-06-28 - Jordi Mallach <jordi@debian.org>
alsa-lib (1.0.27.1-2) unstable; urgency=low
* Add fix_return_value_of_snd_pcm_rewind.patch: this fixes several
problems with plugins, and fixes a Pulseaudio crash.
* Add tests_lm_ftbfs.patch: add -lm where needed, to fix two build
failures in tests (closes: #709900).
2013-05-29 - Jordi Mallach <jordi@debian.org>
alsa-lib (1.0.27.1-1) unstable; urgency=low
* New upstream release.
* Drop all patches: all merged upstream.
* Add fix_docs_typo.patch: fix typo in constant name (closes: #675960).
* Only install the card data and alsa.conf for the udeb. The smixer and
ucm configuration files are useless in debian-installer.
2013-05-14 - Jordi Mallach <jordi@debian.org>
alsa-lib (1.0.27-4) unstable; urgency=low
[ Jordi Mallach ]
* Add double_dlclose.patch: from Git; avoid a double call of dlclose()
in dlobj caching code.
* inline_headers.patch: from Git; use __inline__ for exported headers.
Fixes builds for packages using C90.
* Add ucm_profiles.patch: from Git; include UCM profiles from Chromebook
and Ubuntu.
* Introduce a new binary libasound2-data, and install all driver
configuration files and UCM profiles there.
[ Cyril Brulebois ]
* Fix dh_makeshlibs call:
- Reintroduce --add-udeb=libasound2-udeb (broken dependencies for debs
otherwise: #708353 for alsa-utils-udeb).
- Restore -V'libasound2 (>= 1.0.27)' as well, since symbols files don't
work for udebs. Regular debs will keep on picking the most relaxed
dependency, as usual. Closes: #708357.
2013-05-09 - Jordi Mallach <jordi@debian.org>
alsa-lib (1.0.27-3) unstable; urgency=low
* Brown paper bag: use override_dh_auto_build-indep and
dh_auto_install-indep to handle doxygen docs, to correctly avoid
building docs on binary-arch-only builds. Thanks to Adam Conrad
for the suggestion.
* Pass --disable-static to configure.
2013-05-09 - Jordi Mallach <jordi@debian.org>
alsa-lib (1.0.27-2) unstable; urgency=low
* Upload to unstable.
* Move doxygen to Build-Depends-Indep (closes: #706800).

See Also

Package Description
libaspect-perl_1.04-1_all.deb module for Aspect-Oriented Programming in Perl
libaspectj-java-doc_1.8.3-2_all.deb aspect-oriented extension for Java - API documentation
libaspectj-java_1.8.3-2_all.deb aspect-oriented extension for Java - library
libaspectj-maven-plugin-java_1.7-1_all.deb AspectJ compiler Maven Plugin
libaspell-dev_0.60.7~20110707-1.3_amd64.deb Development files for applications with GNU Aspell support
libaspell15_0.60.7~20110707-1.3_amd64.deb GNU Aspell spell-checker runtime library
libasprintf-dev_0.19.3-2_amd64.deb GNU Internationalization library development files
libasprintf0c2_0.19.3-2_amd64.deb GNU library to use fprintf and friends in C++
libass-dev_0.10.2-3_amd64.deb development files for libass
libass5_0.10.2-3_amd64.deb library for SSA/ASS subtitles rendering
libassa3.5-5-dev_3.5.1-4_amd64.deb object-oriented C++ networking library
libassa3.5-5_3.5.1-4_amd64.deb object-oriented C++ networking library
libassimp-dev_3.0~dfsg-3_amd64.deb 3D model import library (development)
libassimp-doc_3.0~dfsg-3_all.deb 3D model import library (documentation)
libassimp3_3.0~dfsg-3_amd64.deb 3D model import library
Advertisement
Advertisement